<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__essc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_essc_char_t</compoundname>
    <includes local="no">cy_ble_ess.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__essc__char__t_1accd5d2319fbc306ffcee2102ae909ce2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_essc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="226" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="226" />
      </memberdef>
      <memberdef id="structcy__stc__ble__essc__char__t_1ad9a2706407a9de26c3811580c4923079" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_essc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>End handle of Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="227" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="227" />
      </memberdef>
      <memberdef id="structcy__stc__ble__essc__char__t_1ac5ecea9df96e2c9c1e38f663300efe7d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_essc_char_t::descrHandle[CY_BLE_ESS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_ESS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>Array of Descriptor handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="228" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="228" />
      </memberdef>
      <memberdef id="structcy__stc__ble__essc__char__t_1abdb5d7c8f21d248eaa8db9cfc5ad1256" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_essc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="229" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="229" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ESS Characteristic with descriptors. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="230" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="224" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="225" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__essc__char__t_1ac5ecea9df96e2c9c1e38f663300efe7d" virt="non-virtual"><scope>cy_stc_ble_essc_char_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__essc__char__t_1ad9a2706407a9de26c3811580c4923079" virt="non-virtual"><scope>cy_stc_ble_essc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__essc__char__t_1abdb5d7c8f21d248eaa8db9cfc5ad1256" virt="non-virtual"><scope>cy_stc_ble_essc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__essc__char__t_1accd5d2319fbc306ffcee2102ae909ce2" virt="non-virtual"><scope>cy_stc_ble_essc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>